begin;

-- NOTE: This only provides meaningful gene-related information for databases
-- NOTE: populated with MITAB2.5 format data.

create temporary table tmp_export_bioscape as
    select mitab_pubmed.rigid, uidA, uidB, pmid, atype, btype,
        geneA.entrezGene as entrezGeneA, geneB.entrezGene as entrezGeneB
    from mitab_pubmed
    natural join mitab_interactions
    left outer join mitab_interactor_genes as geneA
        on mitab_interactions.uidA = geneA.uid
    left outer join mitab_interactor_genes as geneB
        on mitab_interactions.uidB = geneB.uid;

\copy tmp_export_bioscape to '<directory>/irefindex_interactions'

rollback;
