begin;

-- Show the number of distinct interactions grouped by interaction type
-- (canonical or specific) and taxonomy.

create temporary table tmp_interactions_by_taxonomy as
    select interaction_type, taxid, total
    from (
        select taxid, count(distinct rigid) as total, 'specific' as interaction_type
        from (
            select taxid, rigid
            from mitab_interactions
            inner join mitab_interactor_taxonomy
                on mitab_interactions.uidA = "uid"
            union all
            select taxid, rigid
            from mitab_interactions
            inner join mitab_interactor_taxonomy
                on mitab_interactions.uidB = "uid"
            ) as X
        group by taxid
        union all
        select taxid, count(distinct crigid) as total, 'canonical' as interaction_type
        from (
            select taxid, crigid
            from mitab_interactions
            inner join mitab_interactor_taxonomy
                on mitab_interactions.uidA = "uid"
            union all
            select taxid, crigid
            from mitab_interactions
            inner join mitab_interactor_taxonomy
                on mitab_interactions.uidB = "uid"
            ) as Y
        group by taxid
        ) as Z
    order by interaction_type, total desc, taxid;

\copy tmp_interactions_by_taxonomy to '<directory>/interactions_by_taxonomy'

rollback;
