begin;

-- Show the number of distinct interactors by interaction type (canonical or
-- specific) and by data source.

create temporary table tmp_interactors_by_source as
    select interaction_type, name, total
    from (
        select name, count(distinct rogid) as total, 'specific' as interaction_type
        from (
            select name, uidA as rogid
            from mitab_interactions
            natural join mitab_sources
            where edgetype <> 'C'
            union all
            select name, uidB as rogid
            from mitab_interactions
            natural join mitab_sources
            ) as X
        group by name
        union
        select name, count(distinct crogid) as total, 'canonical' as interaction_type
        from (
            select name, crogidA as crogid
            from mitab_interactions
            inner join mitab_sources
                on crigid = mitab_sources.rigid
            where edgetype <> 'C'
            union all
            select name, crogidB as crogid
            from mitab_interactions
            inner join mitab_sources
                on crigid = mitab_sources.rigid
            ) as Y
        group by name
        ) as Z
    order by interaction_type, name;

\copy tmp_interactors_by_source to '<directory>/interactors_by_source'

rollback;
