begin;

-- NOTE: This only provides meaningful gene-related information for databases
-- NOTE: populated with MITAB2.5 format data.

create temporary table tmp_export_genes as 
    select distinct taxA.taxid as taxidA, geneA.entrezGene as entrezGeneA, geneB.entrezGene as entrezGeneB
    from mitab_interactions
    inner join mitab_interactor_genes as geneA
        on uidA = geneA.uid
    inner join mitab_interactor_genes as geneB
        on uidB = geneB.uid
    inner join mitab_interactor_taxonomy as taxA
        on uidA = taxA.uid
    inner join mitab_interactor_taxonomy as taxB
        on uidB = taxB.uid
    where taxA.taxid = taxB.taxid;

\copy tmp_export_genes to '<directory>/irefindex_genes'

rollback;

